package com.gh.gamecenter.floatingwindow.retrofit

import com.gh.gamecenter.common.retrofit.BaseRetrofitManager
import com.gh.gamecenter.common.utils.EnvHelper.getHost
import com.gh.gamecenter.floatingwindow.HaloApp

object RetrofitManager : BaseRetrofitManager() {

    val api: ApiService

    init {
        val context = HaloApp.getInstance().applicationContext
        val okHttpNormalConfig = getOkHttpConfig(context, 0, 2)
        api = provideService(okHttpNormalConfig, getHost(), ApiService::class.java)
    }

}